# Squared – not quite a clockface for the Fitbit Versa

## Post Mortem
After the success of my Pebble watchface [Squared 4.0](https://git.broken.graphics/alina/Pebble-Time-Watchface-Squared-4.0) I decided to port the idea to the Fitbit Versa, since it had a screen aspect ratio suitable for the design.
Sadly after getting the layout and logic right it turned out that the device was simply not fast enough to handle the concurrent animations required for its signature transitions.
Despite the device having a beefier architecture, the abstractions in the SDK (no low-level access, HTML-DOM-like syntax with Javascript) made it not only significantly easier for web developers to get into the app and clockface business, but it also made the device struggle significantly more regarding animations and screen refreshes.

Ultimately I had to abandon the idea to get Squared running on Fitbit hardware in a satisfactory way and it ultimately led me to abandon developing for the platform altogether.

This code repo is here for documentation purposes and should anyone be interested in picking up where I left off