export const colors = {
  whiteMarble: {
    hsl: [0.9,0.0,0.7],
    variance: [0.01,0.2,0.2],
    ranges: [
      [0.8,1],
      [0.0,0.05],
      [0.65,1]
    ]
  },
  blackMarble: {
    hsl: [0.9,0.0,0.2],
    variance: [0.01,0.2,0.1],
    ranges: [
      [0.8,1],
      [0.0,0.05],
      [0.15,0.25]
    ]
  },
  clearWater: {
    hsl: [0.75,1.0,0.6],
    variance: [0.1,0.1,0.05],
    ranges: [
      [0.6,0.7],
      [0.8,1.0],
      [0.6,0.7]
    ]
  },
  void: {
    hsl: [0.8,1,0.2],
    variance: [0,0.2,0.1],
    ranges: [
      [0,1],
      [0.5,1],
      [0.2,0.4]
    ]
  },
  lava: {
    hsl: [0.1,1,0.5],
    variance: [0.12,0.5,0.5],
    ranges: [
      [0.02,0.15],
      [0.8,1],
      [0.5,0.6]
    ]
  },
  cloudCover: {
    hsl: [0.7,0.6,0.7],
    variance: [0.05,0.05,0.2],
    ranges: [
      [0.7,0.72],
      [0.4,0.6],
      [0.7,0.9]
    ]
  },
  forest: {
    hsl: [0.35,0.7,0.4],
    variance: [0.35,0.05,0.3],
    ranges: [
      [0.25,0.35],
      [0.7,0.8],
      [0.35,0.5]
    ]
  },
  ruby: {
    hsl: [0,0.8,0.4],
    variance: [0.05,0.05,0.2],
    ranges: [
      [0,0.02],
      [0.8,0.9],
      [0.35,0.55]
    ]
  },
  amethyst: {
    hsl: [0.8,0.8,0.5],
    variance: [0.05,0.05,0.2],
    ranges: [
      [0.75,0.8],
      [0.8,0.9],
      [0.4,0.55]
    ]
  },
  spottyIce: {
    hsl: [0.6,0.8,0.5],
    variance: [0.05,0.05,1],
    ranges: [
      [0.55,0.6],
      [0.8,0.9],
      [0.2,0.8]
    ]
  },
  frost: {
    hsl: [0.6,0.8,0.8],
    variance: [0.05,0.05,0.7],
    ranges: [
      [0.55,0.6],
      [0.8,0.9],
      [0.8,1]
    ]
  },
  mint: {
    hsl: [0.3,0.8,0.8],
    variance: [0.05,0.05,0.7],
    ranges: [
      [0.25,0.3],
      [0.8,0.9],
      [0.8,1]
    ]
  },
  citrus: {
    hsl: [0.15,0.8,0.8],
    variance: [0.05,0.05,0.7],
    ranges: [
      [0.1,0.15],
      [0.8,0.9],
      [0.6,0.8]
    ]
  },
  salad: {
    hsl: [0.2,0.8,0.7],
    variance: [0.05,0.05,0.3],
    ranges: [
      [0.17,0.27],
      [0.7,0.9],
      [0.5,0.7]
    ]
  },
  sand: {
    hsl: [0.1,0.5,0.7],
    variance: [0.05,0.8,0.6],
    ranges: [
      [0.08,0.1],
      [0.4,0.6],
      [0.5,0.7]
    ]
  },
  orangeJello: {
    hsl: [0.07,1,0.5],
    variance: [0.3,0,0.1],
    ranges: [
      [0.06,0.08],
      [1,1],
      [0.4,0.55]
    ]
  },
  electric: {
    hsl: [0.5,1,0.5],
    variance: [0.3,0.1,0.1],
    ranges: [
      [0.4,0.5],
      [0.95,1],
      [0.45,0.55]
    ]
  },
  orchid: {
    hsl: [0.8,0.4,0.3],
    variance: [0.1,0.05,0.1],
    ranges: [
      [0.75,0.9],
      [0.2,0.4],
      [0.4,0.7]
    ]
  },
  rose: {
    hsl: [1,0.7,0.3],
    variance: [0.1,0.05,0.2],
    ranges: [
      [0.95,1],
      [0.7,0.8],
      [0.45,0.6]
    ]
  },
  peach: {
    hsl: [1,0.7,0.7],
    variance: [0.1,0.05,0.15],
    ranges: [
      [0.95,1],
      [0.7,0.8],
      [0.65,0.75]
    ]
  },
}